%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:           perl-Test-NoWarnings
Version:        1.04
Release:        2mamba
Summary:        Test::NoWarnings - Make sure you didn't emit any warnings while testing
Group:          System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:       Aleph0 <aleph0@openmamba.org>
URL:            http://www.cpan.org
Source:         http://www.cpan.org/modules/by-module/Test/Test-NoWarnings-%{version}.tar.gz
License:        Artistic License
Requires:       perl >= %perl_major_ver
BuildRequires:  perl-devel >= %perl_major_ver
BuildRequires:  perl-Test-Tester
BuildRequires:  perl-Devel-StackTrace
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
Test::NoWarnings - Make sure you didn't emit any warnings while testing.

%prep
%setup -q -n Test-NoWarnings-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.04-2mamba
- perl 5.16 mass rebuild

* Mon Aug 06 2012 Automatic Build System <autodist@mambasoft.it> 1.04-1mamba
- automatic version update by autodist

* Wed Aug 17 2011 Automatic Build System <autodist@mambasoft.it> 1.03-1mamba
- automatic version update by autodist

* Wed Mar 16 2011 Automatic Build System <autodist@mambasoft.it> 1.02-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.084-2mamba
- automatic rebuild by autodist

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 0.084-1mamba
- package created by autospec
